#
# spec file for package geth
#
# Copyright (c) 2016 Peter Conrad
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		geth
Version:	1.8.2
Release:	1%{?dist}.2
License:	GPL-3.0
Summary:	Ethereum Client
Url:		https://github.com/ethereum/wiki/wiki
Group:		Productivity/Networking/Other
Source:		https://github.com/ethereum/go-ethereum/archive/v%{version}.tar.gz
#Source1:	%{name}.desktop
#Source2:	%{name}d-safe
#Source3:	%{name}d.apparmor
BuildRequires:	go
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Ethereum is a programmable blockchain. Rather than give users a set of
pre-defined operations (e.g. bitcoin transactions), Ethereum allows users to
create their own operations. In this way, it serves as a platform for many
different types of decentralized blockchain applications, including but not
limited to cryptocurrencies.

geth is the official golang implementation of the Ethereum protocol.

%prep
%setup -q -n go-ethereum-%{version}

%build
%__make

%install
%__install -dm 755 "%{buildroot}%{_bindir}"
%__install -m 0755 build/bin/geth "%{buildroot}%{_bindir}/"

%__debug_install_post

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LESSER README.md
%{_bindir}/%{name}

%changelog
* Mon Mar 12 2018 ol@infoserver.lv
-  Update to 1.8.2
* Fri Mar  4 2016 conrad@quisquis.de
- Initial project creation
